<fieldset>


    <div class="control-group">
        <label class="control-label required">URL</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'url',
                'class' => 'span4',
                'value' => set_value('url', @$defaults['url']))); ?>
            <?php echo form_error('url') ?>
            <span class="help-inline"><?php echo question_tooltip('Target URL to send HTTP post request to.'); ?></span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Request Type</label>
        <div class="controls">
            <select name="request_type">
                <option value="GET" <?php echo reactor_option_selected('request_type', 'GET', $defaults) ?>>GET</option>
                <option value="POST" <?php echo reactor_option_selected('request_type', 'POST', $defaults) ?>>POST</option>
            </select>
            <span class="help-inline"><?php echo question_tooltip('Type of request.  For large payloads it\'s recomended to use POST.'); ?></span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label">Extra GET/POST Params</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'extra_params',
                'class' => 'span4',
                'value' => set_value('extra_params', @$defaults['extra_params']))); ?>
            <span class="help-inline"><?php echo question_tooltip('Specify payload.'); ?></span>
            <span class="help-inline"><em>e.g. var=value&var2=anotherval</em></span>
            <?php echo form_error('extra_params') ?>
        </div>
    </div>

</fieldset>
